Skip to main content
GET
/
v2
/
connections
/
{connection_id}
Get Connection
curl --request GET \
  --url https://api.duvo.ai/v2/connections/{connection_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "name": "<string>",
  "type": "<string>",
  "provider": "<string>",
  "user_id": "<string>",
  "team_id": "<string>",
  "composio_mcp_id": null,
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "server_url": "<string>",
  "auth_method": "<string>",
  "custom_integration_id": "<string>",
  "icon_url": "<string>",
  "oauth_provider": "<string>",
  "oauth_provider_key": "<string>",
  "oauth_scopes": [
    "<string>"
  ],
  "has_headers": true,
  "has_oauth_tokens": true,
  "integration_id": "<string>",
  "shared": true,
  "created_by": "<string>"
}

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the Duvo dashboard.

Path Parameters

connection_id
string<uuid>
required

Connection ID

Response

Default Response

id
string
required
name
string
required
type
string
required
provider
string
required
user_id
string | null
required
team_id
string
required
composio_mcp_id
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
server_url
string
transport_type
enum<string>
Available options:
stdio,
sse,
http
auth_method
string | null
custom_integration_id
string | null
icon_url
string | null
oauth_provider
string | null
oauth_provider_key
string | null
oauth_scopes
string[] | null
has_headers
boolean
has_oauth_tokens
boolean
integration_id
string | null
shared
boolean
created_by
string | null